# overridePlayerModifierTypeOptions | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function overridePlayerModifierTypeOptions

- overridePlayerModifierTypeOptions(
  options: ModifierTypeOption [],
  party: PlayerPokemon [],
  ): void

  Replaces the `ModifierType` of the entries within `options` with any `ModifierOverride` entries listed in `Overrides.ITEM_REWARD_OVERRIDE` up to the smallest amount of entries between `options` and the override array.

  #### Parameters

  - options: ModifierTypeOption []

    Array of naturally rolled `ModifierTypeOption`s

  - party: PlayerPokemon []

    Array of the player's current party

  #### Returns void

  - Defined in src/modifier/modifier-type.ts:3418